org.springframework.ldap.control

## Class PagedResult

- java.lang.Object
- - org.springframework.ldap.control.PagedResult

- Deprecated.

      public class PagedResult
      extends Object

  Bean to encapsulate a result List and a `PagedResultsCookie` to use for returning the results when using `PagedResultsRequestControl`.
  Author:
    Mattias Hellborg Arthursson, Ulrik Sandberg

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PagedResult(List<?> resultList, PagedResultsCookie cookie)` Deprecated. Constructs a PagedResults using the supplied List and `PagedResultsCookie`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Deprecated.
    `PagedResultsCookie` | `getCookie()` Deprecated. Get the cookie.
    `List<?>` | `getResultList()` Deprecated. Get the result list.
    `int` | `hashCode()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PagedResult

          public PagedResult(List<?> resultList,
                             PagedResultsCookie cookie)

      Deprecated.
      Constructs a PagedResults using the supplied List and `PagedResultsCookie`.
      Parameters:
        `resultList` - the result list.
        `cookie` - the cookie.

  - ### Method Detail

    - #### getCookie

          public PagedResultsCookie getCookie()

      Deprecated.
      Get the cookie.
      Returns:
        the cookie.

    - #### getResultList

          public List<?> getResultList()

      Deprecated.
      Get the result list.
      Returns:
        the result list.

    - #### equals

          public boolean equals(Object o)

      Deprecated.
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Object`